
%define _requires_exceptions devel\(.*\)

%define lib_major	0
%define libname         %mklibname %name %{lib_major}
%define libnamedev      %mklibname -d %name 

Summary:	GNOME 3 help browser
Summary(de):	GNOME 3 Hilfe Browser
Name:		yelp
Version:		3.14.2
Release:	%mkrel 1
Source0:	ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/3.1/%{name}-%{version}.tar.xz
Source1:	yelp.png 
Source2:	yelp.desktop
URL:		http://live.gnome.org/Yelp
License:		GPLv2+
Group:		Graphical desktop/GNOME
Requires:	gnome-doc-utils
Requires:	man
Requires:	yelp-xsl
BuildRequires: %{_lib}xml++2.6-devel
BuildRequires: %{_lib}atk1.0-devel
BuildRequires: %{_lib}bzip2-devel
BuildRequires: %{_lib}cairo-devel
BuildRequires: %{_lib}gdk_pixbuf2.0_0-devel
BuildRequires: %{_lib}glib2.0_0-devel
BuildRequires: %{_lib}gtk+3.0-devel
BuildRequires: %{_lib}lzma-devel
BuildRequires: %{_lib}pango1.0-devel
BuildRequires: %{_lib}soup-devel
BuildRequires: %{_lib}sqlite3-devel
BuildRequires: %{_lib}x11-devel
BuildRequires: %{_lib}xml2-devel
BuildRequires: %{_lib}xslt-devel
BuildRequires:	webkitgtk3-devel
BuildRequires:	yelp-xsl
BuildRequires:	sed
BuildRequires:	intltool
BuildRequires: 	itstool
BuildRequires:	gnome-doc-utils
BuildRequires:	desktop-file-utils
BuildRequires:  gnome-common
BuildRequires:  gettext-devel
BuildRequires:  gtk-doc
Conflicts: mate-doc-utils
Conflicts: mate-doc-utils-devel


%description
Help browser for GNOME 3 which supports docbook documents, info and man.

%description -l de
Hilfe Browser für GNOME 3 mit Unterstützung für Docbook Dokumente, Info 
und MAN Seiten.

%files -f %{name}.lang
%doc README TODO AUTHORS NEWS
%{_bindir}/*
%{_datadir}/applications/*
%dir %{_datadir}/gnome/help
%{_datadir}/%{name}
%{_datadir}/glib-2.0/schemas/org.gnome.yelp.gschema.xml
%{_datadir}/yelp-xsl/xslt/common/domains/yelp.xml
%{_datadir}/pixmaps/gnome-help.png
%{_libdir}/lib%{name}.so.%{lib_major}*

#--------------------------------------------------------------------

%package devel
Summary:	Development files for %{name}
Summary(de):	Entwicklerdateien für %name
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description devel
This package contains header files and documentation for
the libraries in the yelp-libs package.

%description devel -l de
Entwicklerdateien zum erstellen neuer Anwendungen basierend auf
%{name}. 

%files devel
%{_libdir}/lib%{name}.so
%{_includedir}/lib%{name}
%doc %{_datadir}/gtk-doc/html/lib%{name}

#--------------------------------------------------------------------

%prep
%setup -q

%build
%configure2_5x \
	--disable-debug \
	--disable-schemas-compile \
	--disable-rpath \
	--disable-static

%make

%install
rm -rf %{buildroot}
%makeinstall_std

# we don't want these
rm -rf %{buildroot}%{_libdir}/libyelp.a
rm -rf %{buildroot}%{_libdir}/libyelp.la

install -Dpm644 %{SOURCE1} %{buildroot}%{_datadir}/pixmaps/gnome-help.png

install -m 0644 %{SOURCE2} %{buildroot}%{_datadir}/applications/yelp.desktop

mkdir -p -m 755 %{buildroot}%{_datadir}/gnome/help

%find_lang %{name}

%posttrans
/usr/bin/glib-compile-schemas /usr/share/glib-2.0/schemas

%clean
rm -rf %buildroot

%changelog
* Thu Jul 09 2015 bb <bb> 3.14.2-1pclos2015
- update

* Sun Apr 05 2015 bb <bb> 3.10.1-3pclos2015
- rebuild against current libs

* Wed Mar 05 2014 bb <bb> 3.10.1-2pclos2014
- add custom desktop file to fix showing in MATE and KDE

